/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.service;

import com.liferay.portal.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link PluginLocalService}.
 *
 * @author
 * @see PluginLocalService
 * @generated
 */
public class PluginLocalServiceWrapper implements PluginLocalService,
	ServiceWrapper<PluginLocalService> {
	public PluginLocalServiceWrapper(PluginLocalService pluginLocalService) {
		_pluginLocalService = pluginLocalService;
	}

	/**
	* Adds the plugin to the database. Also notifies the appropriate model listeners.
	*
	* @param plugin the plugin
	* @return the plugin that was added
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin addPlugin(
		it.tref.liferay.mapit.map.model.Plugin plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.addPlugin(plugin);
	}

	/**
	* Creates a new plugin with the primary key. Does not add the plugin to the database.
	*
	* @param pluginId the primary key for the new plugin
	* @return the new plugin
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin createPlugin(long pluginId) {
		return _pluginLocalService.createPlugin(pluginId);
	}

	/**
	* Deletes the plugin with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param pluginId the primary key of the plugin
	* @return the plugin that was removed
	* @throws PortalException if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin deletePlugin(long pluginId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.deletePlugin(pluginId);
	}

	/**
	* Deletes the plugin from the database. Also notifies the appropriate model listeners.
	*
	* @param plugin the plugin
	* @return the plugin that was removed
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin deletePlugin(
		it.tref.liferay.mapit.map.model.Plugin plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.deletePlugin(plugin);
	}

	@Override
	public com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery() {
		return _pluginLocalService.dynamicQuery();
	}

	/**
	* Performs a dynamic query on the database and returns the matching rows.
	*
	* @param dynamicQuery the dynamic query
	* @return the matching rows
	* @throws SystemException if a system exception occurred
	*/
	@Override
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.dynamicQuery(dynamicQuery);
	}

	/**
	* Performs a dynamic query on the database and returns a range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param dynamicQuery the dynamic query
	* @param start the lower bound of the range of model instances
	* @param end the upper bound of the range of model instances (not inclusive)
	* @return the range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@Override
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end) throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.dynamicQuery(dynamicQuery, start, end);
	}

	/**
	* Performs a dynamic query on the database and returns an ordered range of the matching rows.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param dynamicQuery the dynamic query
	* @param start the lower bound of the range of model instances
	* @param end the upper bound of the range of model instances (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of matching rows
	* @throws SystemException if a system exception occurred
	*/
	@Override
	@SuppressWarnings("rawtypes")
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.dynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	* Returns the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.dynamicQueryCount(dynamicQuery);
	}

	/**
	* Returns the number of rows that match the dynamic query.
	*
	* @param dynamicQuery the dynamic query
	* @param projection the projection to apply to the query
	* @return the number of rows that match the dynamic query
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public long dynamicQueryCount(
		com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
		com.liferay.portal.kernel.dao.orm.Projection projection)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.dynamicQueryCount(dynamicQuery, projection);
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin fetchPlugin(long pluginId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.fetchPlugin(pluginId);
	}

	/**
	* Returns the plugin with the primary key.
	*
	* @param pluginId the primary key of the plugin
	* @return the plugin
	* @throws PortalException if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin getPlugin(long pluginId)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getPlugin(pluginId);
	}

	@Override
	public com.liferay.portal.model.PersistedModel getPersistedModel(
		java.io.Serializable primaryKeyObj)
		throws com.liferay.portal.kernel.exception.PortalException,
			com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getPersistedModel(primaryKeyObj);
	}

	/**
	* Returns a range of all the plugins.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param start the lower bound of the range of plugins
	* @param end the upper bound of the range of plugins (not inclusive)
	* @return the range of plugins
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public java.util.List<it.tref.liferay.mapit.map.model.Plugin> getPlugins(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getPlugins(start, end);
	}

	/**
	* Returns the number of plugins.
	*
	* @return the number of plugins
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public int getPluginsCount()
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getPluginsCount();
	}

	/**
	* Updates the plugin in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
	*
	* @param plugin the plugin
	* @return the plugin that was updated
	* @throws SystemException if a system exception occurred
	*/
	@Override
	public it.tref.liferay.mapit.map.model.Plugin updatePlugin(
		it.tref.liferay.mapit.map.model.Plugin plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.updatePlugin(plugin);
	}

	/**
	* Returns the Spring bean ID for this bean.
	*
	* @return the Spring bean ID for this bean
	*/
	@Override
	public java.lang.String getBeanIdentifier() {
		return _pluginLocalService.getBeanIdentifier();
	}

	/**
	* Sets the Spring bean ID for this bean.
	*
	* @param beanIdentifier the Spring bean ID for this bean
	*/
	@Override
	public void setBeanIdentifier(java.lang.String beanIdentifier) {
		_pluginLocalService.setBeanIdentifier(beanIdentifier);
	}

	@Override
	public java.lang.Object invokeMethod(java.lang.String name,
		java.lang.String[] parameterTypes, java.lang.Object[] arguments)
		throws java.lang.Throwable {
		return _pluginLocalService.invokeMethod(name, parameterTypes, arguments);
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin addPlugin(
		java.lang.String name, java.lang.String version,
		java.lang.String mapItVersion, java.lang.String context, boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.addPlugin(name, version, mapItVersion,
			context, active);
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin updatePlugin(long pluginId,
		java.lang.String name, java.lang.String version,
		java.lang.String mapItVersion, boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.updatePlugin(pluginId, name, version,
			mapItVersion, active);
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin updatePlugin(long pluginId,
		boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.updatePlugin(pluginId, active);
	}

	@Override
	public it.tref.liferay.mapit.map.model.Plugin getPlugin(
		java.lang.String context)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getPlugin(context);
	}

	@Override
	public java.util.List<it.tref.liferay.mapit.map.model.Plugin> getActivePlugins(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return _pluginLocalService.getActivePlugins(start, end);
	}

	/**
	 * @deprecated As of 6.1.0, replaced by {@link #getWrappedService}
	 */
	public PluginLocalService getWrappedPluginLocalService() {
		return _pluginLocalService;
	}

	/**
	 * @deprecated As of 6.1.0, replaced by {@link #setWrappedService}
	 */
	public void setWrappedPluginLocalService(
		PluginLocalService pluginLocalService) {
		_pluginLocalService = pluginLocalService;
	}

	@Override
	public PluginLocalService getWrappedService() {
		return _pluginLocalService;
	}

	@Override
	public void setWrappedService(PluginLocalService pluginLocalService) {
		_pluginLocalService = pluginLocalService;
	}

	private PluginLocalService _pluginLocalService;
}