/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.service.persistence;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.ServiceContext;

import it.tref.liferay.mapit.map.model.Plugin;

import java.util.List;

/**
 * The persistence utility for the plugin service. This utility wraps {@link PluginPersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author
 * @see PluginPersistence
 * @see PluginPersistenceImpl
 * @generated
 */
public class PluginUtil {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
	 */

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
	 */
	public static void clearCache() {
		getPersistence().clearCache();
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
	 */
	public static void clearCache(Plugin plugin) {
		getPersistence().clearCache(plugin);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
	 */
	public static long countWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().countWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
	 */
	public static List<Plugin> findWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
	 */
	public static List<Plugin> findWithDynamicQuery(DynamicQuery dynamicQuery,
		int start, int end) throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
	 */
	public static List<Plugin> findWithDynamicQuery(DynamicQuery dynamicQuery,
		int start, int end, OrderByComparator orderByComparator)
		throws SystemException {
		return getPersistence()
				   .findWithDynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel)
	 */
	public static Plugin update(Plugin plugin) throws SystemException {
		return getPersistence().update(plugin);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, ServiceContext)
	 */
	public static Plugin update(Plugin plugin, ServiceContext serviceContext)
		throws SystemException {
		return getPersistence().update(plugin, serviceContext);
	}

	/**
	* Returns the plugin where context = &#63; or throws a {@link it.tref.liferay.mapit.map.NoSuchPluginException} if it could not be found.
	*
	* @param context the context
	* @return the matching plugin
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin findByContext(
		java.lang.String context)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().findByContext(context);
	}

	/**
	* Returns the plugin where context = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
	*
	* @param context the context
	* @return the matching plugin, or <code>null</code> if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin fetchByContext(
		java.lang.String context)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByContext(context);
	}

	/**
	* Returns the plugin where context = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
	*
	* @param context the context
	* @param retrieveFromCache whether to use the finder cache
	* @return the matching plugin, or <code>null</code> if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin fetchByContext(
		java.lang.String context, boolean retrieveFromCache)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByContext(context, retrieveFromCache);
	}

	/**
	* Removes the plugin where context = &#63; from the database.
	*
	* @param context the context
	* @return the plugin that was removed
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin removeByContext(
		java.lang.String context)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().removeByContext(context);
	}

	/**
	* Returns the number of plugins where context = &#63;.
	*
	* @param context the context
	* @return the number of matching plugins
	* @throws SystemException if a system exception occurred
	*/
	public static int countByContext(java.lang.String context)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByContext(context);
	}

	/**
	* Returns all the plugins where active = &#63;.
	*
	* @param active the active
	* @return the matching plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findByActive(
		boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByActive(active);
	}

	/**
	* Returns a range of all the plugins where active = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param active the active
	* @param start the lower bound of the range of plugins
	* @param end the upper bound of the range of plugins (not inclusive)
	* @return the range of matching plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findByActive(
		boolean active, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByActive(active, start, end);
	}

	/**
	* Returns an ordered range of all the plugins where active = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param active the active
	* @param start the lower bound of the range of plugins
	* @param end the upper bound of the range of plugins (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of matching plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findByActive(
		boolean active, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByActive(active, start, end, orderByComparator);
	}

	/**
	* Returns the first plugin in the ordered set where active = &#63;.
	*
	* @param active the active
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin findByActive_First(
		boolean active,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().findByActive_First(active, orderByComparator);
	}

	/**
	* Returns the first plugin in the ordered set where active = &#63;.
	*
	* @param active the active
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin, or <code>null</code> if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin fetchByActive_First(
		boolean active,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByActive_First(active, orderByComparator);
	}

	/**
	* Returns the last plugin in the ordered set where active = &#63;.
	*
	* @param active the active
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin findByActive_Last(
		boolean active,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().findByActive_Last(active, orderByComparator);
	}

	/**
	* Returns the last plugin in the ordered set where active = &#63;.
	*
	* @param active the active
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin, or <code>null</code> if a matching plugin could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin fetchByActive_Last(
		boolean active,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByActive_Last(active, orderByComparator);
	}

	/**
	* Returns the plugins before and after the current plugin in the ordered set where active = &#63;.
	*
	* @param pluginId the primary key of the current plugin
	* @param active the active
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the previous, current, and next plugin
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin[] findByActive_PrevAndNext(
		long pluginId, boolean active,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence()
				   .findByActive_PrevAndNext(pluginId, active, orderByComparator);
	}

	/**
	* Removes all the plugins where active = &#63; from the database.
	*
	* @param active the active
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByActive(boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByActive(active);
	}

	/**
	* Returns the number of plugins where active = &#63;.
	*
	* @param active the active
	* @return the number of matching plugins
	* @throws SystemException if a system exception occurred
	*/
	public static int countByActive(boolean active)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByActive(active);
	}

	/**
	* Caches the plugin in the entity cache if it is enabled.
	*
	* @param plugin the plugin
	*/
	public static void cacheResult(
		it.tref.liferay.mapit.map.model.Plugin plugin) {
		getPersistence().cacheResult(plugin);
	}

	/**
	* Caches the plugins in the entity cache if it is enabled.
	*
	* @param plugins the plugins
	*/
	public static void cacheResult(
		java.util.List<it.tref.liferay.mapit.map.model.Plugin> plugins) {
		getPersistence().cacheResult(plugins);
	}

	/**
	* Creates a new plugin with the primary key. Does not add the plugin to the database.
	*
	* @param pluginId the primary key for the new plugin
	* @return the new plugin
	*/
	public static it.tref.liferay.mapit.map.model.Plugin create(long pluginId) {
		return getPersistence().create(pluginId);
	}

	/**
	* Removes the plugin with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param pluginId the primary key of the plugin
	* @return the plugin that was removed
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin remove(long pluginId)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().remove(pluginId);
	}

	public static it.tref.liferay.mapit.map.model.Plugin updateImpl(
		it.tref.liferay.mapit.map.model.Plugin plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().updateImpl(plugin);
	}

	/**
	* Returns the plugin with the primary key or throws a {@link it.tref.liferay.mapit.map.NoSuchPluginException} if it could not be found.
	*
	* @param pluginId the primary key of the plugin
	* @return the plugin
	* @throws it.tref.liferay.mapit.map.NoSuchPluginException if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin findByPrimaryKey(
		long pluginId)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginException {
		return getPersistence().findByPrimaryKey(pluginId);
	}

	/**
	* Returns the plugin with the primary key or returns <code>null</code> if it could not be found.
	*
	* @param pluginId the primary key of the plugin
	* @return the plugin, or <code>null</code> if a plugin with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.Plugin fetchByPrimaryKey(
		long pluginId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPrimaryKey(pluginId);
	}

	/**
	* Returns all the plugins.
	*
	* @return the plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll();
	}

	/**
	* Returns a range of all the plugins.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param start the lower bound of the range of plugins
	* @param end the upper bound of the range of plugins (not inclusive)
	* @return the range of plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findAll(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end);
	}

	/**
	* Returns an ordered range of all the plugins.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param start the lower bound of the range of plugins
	* @param end the upper bound of the range of plugins (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of plugins
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.Plugin> findAll(
		int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end, orderByComparator);
	}

	/**
	* Removes all the plugins from the database.
	*
	* @throws SystemException if a system exception occurred
	*/
	public static void removeAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeAll();
	}

	/**
	* Returns the number of plugins.
	*
	* @return the number of plugins
	* @throws SystemException if a system exception occurred
	*/
	public static int countAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countAll();
	}

	public static PluginPersistence getPersistence() {
		if (_persistence == null) {
			_persistence = (PluginPersistence)PortletBeanLocatorUtil.locate(it.tref.liferay.mapit.map.service.ClpSerializer.getServletContextName(),
					PluginPersistence.class.getName());

			ReferenceRegistry.registerReference(PluginUtil.class, "_persistence");
		}

		return _persistence;
	}

	/**
	 * @deprecated As of 6.2.0
	 */
	public void setPersistence(PluginPersistence persistence) {
	}

	private static PluginPersistence _persistence;
}